#!/bin/env python

import matplotlib.pylab as plt
import numpy

def main():
    data = numpy.genfromtxt('part1.data.txt')
    data = numpy.transpose(data)

    plt.plot(data[0,:],data[1,:],'g-')
    plt.title('Part 1: Ax=b: Steady-state Heat Equation')
    plt.ylabel('Temperature')
    plt.xlabel('Position')

    plt.savefig('part1.png')

if __name__ == "__main__":
    main()
