#!/bin/env python

import matplotlib.pylab as plt
import numpy

def main():
    data = numpy.genfromtxt('part2.data.txt')
    data = numpy.transpose(data)

    plt.plot(data[0,:],data[1,:],'r.')
    plt.plot(data[0,:],data[2,:],'g-')
    plt.title('Part 2: Linear Least Squares: Fitting Random Data with a Cubic')

    plt.savefig('part2.png')

if __name__ == "__main__":
    main()
