#!/bin/env python

import matplotlib.pylab as plt
import numpy

def main():
    data = numpy.genfromtxt('part3.data.txt')
    data = numpy.transpose(data)

    plt.plot(data[1,:],'r-')
    plt.plot(data[100,:],'g-')
    plt.title('Part 3: Eigenproblems: Fastest, Slowest Growing Modes')

    plt.savefig('part3.png')

if __name__ == "__main__":
    main()
